---@meta

---@class ABP_Lighting01S_Template_C : AB1GameObject
---@field UberGraphFrame FPointerToUberGraphFrame
---@field PointLight USpotLightComponent
---@field StaticMesh UStaticMeshComponent
---@field LFMaterial UMaterialInstanceDynamic
---@field LFNonGIMaterial UMaterialInstanceDynamic
---@field NonGILightOffset FVector
local ABP_Lighting01S_Template_C = {}

function ABP_Lighting01S_Template_C:ReceiveBeginPlay() end
---@param GlobalIlluminationQuality int32
function ABP_Lighting01S_Template_C:ReceiveGameOptionChanged(GlobalIlluminationQuality) end
---@param EntryPoint int32
function ABP_Lighting01S_Template_C:ExecuteUbergraph_BP_Lighting01S_Template(EntryPoint) end


